Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.bind
Class MissingServletRequestParameterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.ServletException
                  org.springframework.web.util.NestedServletException
                      org.springframework.web.bind.ServletRequestBindingException
                          org.springframework.web.bind.MissingServletRequestParameterException

All Implemented Interfaces:
  Serializable

    public class MissingServletRequestParameterException

extends ServletRequestBindingException

`ServletRequestBindingException` subclass that indicates a missing parameter.

Since:
  2.0.2
Author:
  Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`MissingServletRequestParameterException(String parameterName, String parameterType)` Constructor for MissingServletRequestParameterException.

Method Summary
`String` | `getMessage()` Return the detail message, including the message from the nested exception if there is one.
`String` | `getParameterName()` Return the name of the offending parameter.
`String` | `getParameterType()` Return the expected type of the offending parameter.

Methods inherited from class javax.servlet.ServletException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MissingServletRequestParameterException

    public MissingServletRequestParameterException(String parameterName,
                                                   String parameterType)

  Constructor for MissingServletRequestParameterException.

  Parameters:
    `parameterName` - the name of the missing parameter
    `parameterType` - the expected type of the missing parameter

Method Detail

### getMessage

    public String getMessage()

  Description copied from class: `NestedServletException`
  Return the detail message, including the message from the nested exception if there is one.

  Overrides:
    `getMessage` in class `NestedServletException`

### getParameterName

    public String getParameterName()

  Return the name of the offending parameter.

### getParameterType

    public String getParameterType()

  Return the expected type of the offending parameter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.